Class | Prawn::Document::Grid
In: | lib/prawn/layout/grid.rb
Parent: | Object

A Grid represents the entire grid system of a Page and calculates the column width and row height of the base box.

### Methods

column_width new row_height show_all

### Attributes

column_gutter | [R] |
columns | [R] |
gutter | [R] |
pdf | [R] |
row_gutter | [R] |
rows | [R] |

### Public Class methods

new(pdf, options = {})

:nodoc

### Public Instance methods

column_width()

Calculates the base width of boxes.

row_height()

Calculates the base height of boxes.

show_all(color = "CCCCCC")

Diagnostic tool to show all of the grids. Defaults to gray.

[Validate]